### Home Classes Methods

### In Files

- lib/yajl/json_gem.rb

### Methods

- #JSON

### Class/Module Index

Quicksearch

- Yajl
- Yajl::Bzip2
- Yajl::Bzip2::StreamReader
- Yajl::Bzip2::StreamWriter
- Yajl::Deflate
- Yajl::Deflate::StreamReader
- Yajl::Deflate::StreamWriter
- Yajl::Encoder
- Yajl::Gzip
- Yajl::Gzip::StreamReader
- Yajl::Gzip::StreamWriter
- Yajl::HttpStream
- Yajl::HttpStream::HttpError
- Yajl::HttpStream::InvalidContentType
- Yajl::Parser
- JSON
- JSON::GeneratorError
- JSON::JSONError
- JSON::ParserError
- Kernel
- Object

No matching classes.

# Kernel

### Public Instance Methods

JSON(object, opts = {}) click to toggle source

    # File lib/yajl/json_gem.rb, line 6
    def JSON(object, opts = {})
      if object.respond_to? :to_s
        JSON.parse(object.to_s, JSON.default_options.merge(opts))
      else
        JSON.generate(object, opts)
      end
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.